Page MenuHomePhabricator

Submit OOjs UI and OOjs to cdnjs
Closed, ResolvedPublic8 Estimate Story Points

Description

Makes it usable from the cdnjs cdn, as well as from tool labs' wikimedia pp compliant CDN (tools.wmflabs.org/cdnjs). Some tools (like Aaron Halfak's labels) are already using OOJS / UI and have to bundle it in themselves.

Event Timeline

yuvipanda raised the priority of this task from to Needs Triage.
yuvipanda updated the task description. (Show Details)
yuvipanda added projects: OOjs, OOUI.
yuvipanda added subscribers: yuvipanda, Krinkle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 23 2015, 5:38 PM

OOjs or OOjs UI?

Both, I suppose.

yuvipanda renamed this task from Submit OOJS and dependencies to cdnjs to Submit OOJS-UI and dependencies to cdnjs.Jul 23 2015, 5:43 PM
yuvipanda set Security to None.

Maybe they'll get wider exposure on Tool Labs too. Everyone uses Bootstrap these days.

Jdforrester-WMF renamed this task from Submit OOJS-UI and dependencies to cdnjs to Submit OOjs UI and OOjs to cdnjs.Jul 23 2015, 6:18 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF added a project: VisualEditor.

Meh.

$ cdnjs-importer -c . ssh://gerrit.wikimedia.org:29418/oojs/core.git
info  [12:16.17 - 23.07.2015] Cloning ssh://gerrit.wikimedia.org:29418/oojs/core.git into /var/folders/3r/bm01bkmn2ndfrhsgkftrvfd40000gq/T/tmp-72257w7zMStv7iVna
info  [12:16.19 - 23.07.2015] Set the source path: /dist
info  [12:16.19 - 23.07.2015] Creating the version directory: ajax/libs/oojs/1.1.8
info  [12:16.19 - 23.07.2015] Getting the library files.
/usr/local/lib/node_modules/cdnjs-importer/lib/index.js:206
                        package.filename = files[0].replace(Path.join(repo.cwd
                                                   ^
TypeError: Cannot read property 'replace' of undefined
    at /usr/local/lib/node_modules/cdnjs-importer/lib/index.js:206:52
    at f (/usr/local/lib/node_modules/cdnjs-importer/node_modules/glob/node_modules/once/once.js:17:25)
    at Glob.<anonymous> (/usr/local/lib/node_modules/cdnjs-importer/node_modules/glob/glob.js:133:7)
    at Glob.emit (events.js:107:17)
    at Glob._finish (/usr/local/lib/node_modules/cdnjs-importer/node_modules/glob/glob.js:172:8)
    at done (/usr/local/lib/node_modules/cdnjs-importer/node_modules/glob/glob.js:159:12)
    at Glob._processReaddir2 (/usr/local/lib/node_modules/cdnjs-importer/node_modules/glob/glob.js:383:12)
    at /usr/local/lib/node_modules/cdnjs-importer/node_modules/glob/glob.js:346:17
    at RES (/usr/local/lib/node_modules/cdnjs-importer/node_modules/glob/node_modules/inflight/inflight.js:23:14)
    at /usr/local/lib/node_modules/cdnjs-importer/node_modules/glob/node_modules/inflight/inflight.js:30:13
Jdforrester-WMF moved this task from Backlog to Next-up on the OOUI board.Aug 10 2015, 10:55 PM

https://github.com/wiki-ai/wikilabels bundles OOjs and OOjs UI but would benefit from cdnjs.

Jdforrester-WMF lowered the priority of this task from Medium to Low.Feb 4 2016, 7:17 PM
Krinkle moved this task from Inbox to Accepted Enhancement on the OOjs board.Feb 12 2016, 5:25 PM
Jdforrester-WMF removed Jdforrester-WMF as the assignee of this task.Mar 1 2016, 3:14 AM

Un-cookie-licking; I'm giving up on this given the complexities of submitting to cdnjs and their tool not seeming to work. Someone who gets value from this should probably take it up.

DLynch claimed this task.Oct 26 2016, 4:36 PM
Krinkle removed a subscriber: Krinkle.

Started by doing as James did, and trying to use their suggested tools. Hit the same error. Filed an issue for it, and they seem to indicate that the importer tool needs major refactoring to catch up to recent changes to the cdnjs core before it'll be reliable again.

So, I now have these pull requests that I've manually put together without the tool, which I'm shepherding through their review:

Once these land, they're set up to auto-update off of our releases to npm, so we shouldn't have to worry about this further in the future, barring major changes.

OOjs is up: https://cdnjs.com/libraries/oojs

Still waiting on the reviews for OOjs UI.

TheDJ added a subscriber: TheDJ.Oct 28 2016, 5:14 PM

Great work @DLynch !!!

DLynch added a comment.EditedOct 29 2016, 8:37 PM

OOjs UI: also merged: https://cdnjs.com/libraries/oojs-ui

There's a bit of discussion with them about whether our images in UI are suitably optimized, which may/may not produce some follow-up patch to our build process (which already does optimization prior to the npm publish). We shall see.

Jdforrester-WMF closed this task as Resolved.Oct 31 2016, 2:26 PM

Thanks, David!

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 21 2017, 9:50 PM